## dyssol 1.0.2%2Bds2

=== CMakeLists.txt ===
# Copyright (c) 2020, Dyssol Development Team. All rights reserved. This file is part of Dyssol. See LICENSE file for license information.
# Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg


cmake_minimum_required(VERSION 3.1.0)

set (VERSION 1.0.0)
set (SOVERSION 1.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

project(Dyssol VERSION ${VERSION} LANGUAGES CXX)

INCLUDE(GNUInstallDirs)

SET(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

SET(INSTALL_UNITS_LIB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/Dyssol/Units)
SET(INSTALL_MATERIALDB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/MaterialsDB)
SET(INSTALL_DOCS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/docs)
SET(INSTALL_CONFIG_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/)
SET(INSTALL_HEADERS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/)

add_executable(DyssolC
    ${CMAKE_SOURCE_DIR}/DyssolConsole/main.cpp
)

set(libdyssolnames
	"BaseSolvers"
	"CacheHandler"
	"EquationSolvers"
	"HDF5Handler"
	"MaterialsDatabase"
	"ModelsAPI"
	"Modules"
	"ScriptInterface"
	"SimulatorCore"
	"Utilities"
	"Modules/DustFormationTester"
)

foreach(foldername ${libdyssolnames})
    file(GLOB_RECURSE src   ${CMAKE_SOURCE_DIR}/${foldername}/*.cpp)
    file(GLOB_RECURSE hdr   ${CMAKE_SOURCE_DIR}/${foldername}/*.h)
    set(libdyssolsrc ${libdyssolsrc} ${src})
    INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/${foldername}/")
    INSTALL(FILES ${hdr} DESTINATION ${INSTALL_HEADERS_PATH}/Dyssol/${foldername}/)
endforeach(foldername ${libdyssolnames})

SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

FIND_PACKAGE(HDF5 REQUIRED COMPONENTS "CXX" "HL")
INCLUDE_DIRECTORIES(${HDF5_INCLUDE_DIRS})

FIND_PACKAGE(SUNDIALS REQUIRED COMPONENTS sundials_ida sundials_kinsol sundials_nvecserial)
INCLUDE_DIRECTORIES(${SUNDIALS_INCLUDE_DIRS})

ADD_LIBRARY(libdyssol_shared SHARED ${libdyssolsrc})
SET_TARGET_PROPERTIES(libdyssol_shared PROPERTIES
  VERSION ${VERSION}
  SOVERSION ${SOVERSION}
  PREFIX ""
  OUTPUT_NAME "libdyssol"
)

ADD_LIBRARY(libdyssol_static STATIC ${libdyssolsrc})
SET_TARGET_PROPERTIES(libdyssol_static PROPERTIES
  VERSION ${VERSION}
  SOVERSION ${SOVERSION}
  PREFIX ""
  OUTPUT_NAME "libdyssol"
)

target_compile_definitions(libdyssol_shared PRIVATE INSTALL_DOCS_PATH="${INSTALL_DOCS_PATH}")
target_compile_definitions(libdyssol_static PRIVATE INSTALL_DOCS_PATH="${INSTALL_DOCS_PATH}")

TARGET_LINK_LIBRARIES(libdyssol_shared ${HDF5_LIBRARIES} ${HDF5_HL_LIBRARIES} ${SUNDIALS_LIBRARIES})
TARGET_LINK_LIBRARIES(libdyssol_static ${HDF5_LIBRARIES} ${HDF5_HL_LIBRARIES} ${SUNDIALS_LIBRARIES})
TARGET_LINK_LIBRARIES(DyssolC libdyssol_shared)

FIND_PACKAGE(Graphviz)
IF(Graphviz_FOUND)
  MESSAGE(STATUS "Graphviz is found")
  MESSAGE(STATUS ${Graphviz_INCLUDE_DIR})
  ADD_DEFINITIONS("-DGRAPHVIZ")

  TARGET_LINK_LIBRARIES(libdyssol_shared ${Graphviz_LIBRARIES})
  TARGET_LINK_LIBRARIES(libdyssol_static ${Graphviz_LIBRARIES})

  INCLUDE_DIRECTORIES(${Graphviz_INCLUDE_DIR})
ENDIF(Graphviz_FOUND)

CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/DyssolMainWindow/config.ini.in" "${CMAKE_BINARY_DIR}/config.ini")
INSTALL(FILES "${CMAKE_BINARY_DIR}/config.ini" DESTINATION ${INSTALL_CONFIG_PATH})
INSTALL(FILES "${CMAKE_SOURCE_DIR}/Materials.dmdb" DESTINATION ${INSTALL_MATERIALDB_PATH})

INSTALL(TARGETS DyssolC DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(TARGETS libdyssol_shared DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS libdyssol_static DESTINATION ${CMAKE_INSTALL_LIBDIR})

ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Units")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Solvers")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/DyssolMainWindow")

SET(INSTALL_DOCS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/docs)

#===============================================
# Testing ======================================

ENABLE_TESTING()

SET(TESTS
  "Unit_Agglomerator_CellAverage"
  "Unit_Agglomerator_FFT"
  "Unit_Agglomerator_FixedPivot"
  "Unit_Bunker_Adaptive"
  "Unit_Bunker_Constant"
  "Unit_Crusher_BondBimodal"
  "Unit_Crusher_BondNormal"
  "Unit_Crusher_Cone"
  "Unit_Crusher_Const"
  "Unit_Crusher_PBMTM"
  "Unit_Granulator"
  "Unit_Mixer"
  "Unit_Screen_Molerus"
  "Unit_Screen_Multideck"
  "Unit_Screen_Plitt"
  "Unit_Screen_Probability"
  "Unit_Screen_Teipel"
  "Unit_Splitter"
  "Unit_TimeDelay_NormBased"
  "Unit_TimeDelay_SimpleShift"
  "Process_Agglomeration"
  "Process_Comminution"
  "Process_Granulation"
  "Process_SieveMill"
)

FOREACH(test ${TESTS})
  SET(CURRENT_TEST ${test})
  CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/tests/${CURRENT_TEST}/script.txt" "${CMAKE_BINARY_DIR}/tests/${CURRENT_TEST}/script.txt")

  ADD_TEST(NAME ${CURRENT_TEST}_run
          WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
          COMMAND ${CMAKE_BINDIR}/DyssolC --script=${CMAKE_BINARY_DIR}/tests/${CURRENT_TEST}/script.txt
  )

  IF(NOT CMAKE_BUILD_TYPE MATCHES Debug)
    FILE(READ ${CMAKE_SOURCE_DIR}/tests/${CURRENT_TEST}/tolerance TOLERANCE)

    ADD_TEST(NAME ${CURRENT_TEST}_diff
            COMMAND python3 ${CMAKE_SOURCE_DIR}/tests/compare.py "${CMAKE_SOURCE_DIR}/tests/${CURRENT_TEST}/ideal.res" "${CMAKE_BINARY_DIR}/tests/${CURRENT_TEST}/real.res" -t ${TOLERANCE}
    )
    # _diff tests can only be run when the _run test is done
    SET_TESTS_PROPERTIES(${CURRENT_TEST}_diff PROPERTIES DEPENDS ${CURRENT_TEST}_run)
  ENDIF(NOT CMAKE_BUILD_TYPE MATCHES Debug)

ENDFOREACH(test ${TESTS})

#===============================================
# Documentation ================================
ADD_CUSTOM_TARGET(doc)
ADD_CUSTOM_COMMAND(
                  TARGET doc PRE_BUILD
                  COMMAND rm -rf ${CMAKE_BINARY_DIR}/doc/sphinx/_build
                  COMMAND sphinx-build -b html ${CMAKE_SOURCE_DIR}/DocumentationSphinx/ ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html
                  COMMAND sphinx-build -b latex ${CMAKE_SOURCE_DIR}/DocumentationSphinx/ ${CMAKE_BINARY_DIR}/doc/sphinx/_build/latex
                  COMMAND cd ${CMAKE_BINARY_DIR}/doc/sphinx/_build/latex && xelatex DyssolHelpDoc.tex && cd ${CMAKE_BINARY_DIR}
                  COMMAND mkdir -p ${INSTALL_DOCS_PATH}/sphinx/
                  COMMAND cp -r ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html ${INSTALL_DOCS_PATH}/sphinx/
                  )

## dyssol 1.0.2+ds2

=== DyssolMainWindow/CMakeLists.txt ===
# Copyright (c) 2020, Dyssol Development Team. All rights reserved. This file is part of Dyssol. See LICENSE file for license information.
# Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg

find_package(Qt5 COMPONENTS Widgets REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt5 COMPONENTS Widgets REQUIRED)

MACRO(SUBDIRLIST result curdir)
  FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
  SET(dirlist "")
  FOREACH(child ${children})
    IF(IS_DIRECTORY ${curdir}/${child})
      LIST(APPEND dirlist ${child})
    ENDIF()
  ENDFOREACH()
  SET(${result} ${dirlist})
ENDMACRO()

set(DyssolGUInames
	"DyssolMainWindow"
	"GUIDialogs"
	"GUIWidgets"
)

foreach(foldername ${DyssolGUInames})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/${foldername}/*.cpp)
    set(DyssolGUIsrc ${DyssolGUIsrc} ${src})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/${foldername}/*.rc)
    set(DyssolGUIsrc ${DyssolGUIsrc} ${src})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/${foldername}/*.ui)
    set(DyssolGUIsrc ${DyssolGUIsrc} ${src})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/${foldername}/*.qrc)
    set(DyssolGUIsrc ${DyssolGUIsrc} ${src})
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/${foldername}/)
    SUBDIRLIST(DyssolGUI_folders ${CMAKE_SOURCE_DIR}/${foldername}/)
    FOREACH(subdir ${DyssolGUI_folders})
        INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/${foldername}/${subdir}/)
    ENDFOREACH()
endforeach(foldername ${DyssolGUInames})

add_executable(DyssolGUI ${DyssolGUIsrc})

target_compile_definitions(DyssolGUI PRIVATE INSTALL_DOCS_PATH="${INSTALL_DOCS_PATH}")
target_compile_definitions(DyssolGUI PRIVATE INSTALL_CONFIG_PATH="${INSTALL_CONFIG_PATH}")


TARGET_LINK_LIBRARIES(DyssolGUI Qt5::Widgets libdyssol_shared)
INSTALL(TARGETS DyssolGUI DESTINATION ${CMAKE_INSTALL_BINDIR})

=== Units/CMakeLists.txt ===
# Copyright (c) 2020, Dyssol Development Team. All rights reserved. This file is part of Dyssol. See LICENSE file for license information.
# Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg

set(UnitsNames
    "Agglomerator"
    "Bunker"
    "Crusher"
    "CrusherPBMTM"
    "Cyclone2"
    "Granulator"
    "HeatExchanger"
    "Inlet"
    "Mixer"
    "Mixer3"
    "Outlet"
    "Screen"
    "ScreenMultideck"
    "Splitter"
    "Splitter3"
    "TimeDelay"
)


foreach(foldername ${UnitsNames})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/Units/${foldername}/*.cpp)
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/Units/${foldername}/)
    add_library(${foldername} SHARED ${src})
    INSTALL(TARGETS ${foldername} DESTINATION ${INSTALL_UNITS_LIB_PATH})
endforeach(foldername ${UnitsNames})

=== debian/changelog ===
dyssol (1.0.2+ds2-1) unstable; urgency=medium

  * [d82dfde] New upstream version 1.0.2+ds1
  * [9610e1e] Disable bunker-test
  * [dc0f112] Add basic tests

 -- Anton Gladky <gladk@debian.org>  Thu, 10 Feb 2022 21:50:40 +0100

dyssol (1.0.0+ds1-1) unstable; urgency=medium

  * Initial import (Closes: #1000409)

 -- Anton Gladky <gladk@debian.org>  Sat, 08 Jan 2022 18:03:31 +0100

=== debian/control ===
Source: dyssol
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgraphviz-dev,
               libhdf5-serial-dev,
               libsundials-dev,
               libqt5opengl5-dev,
               zlib1g-dev
Build-Depends-Indep: python3-sphinx,
                     texlive-xetex,
                     tex-gyre,
                     texlive-fonts-recommended
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/dyssol
Vcs-Git: https://salsa.debian.org/science-team/dyssol.git
Homepage: https://github.com/FlowsheetSimulation/Dyssol-open

Package: dyssol
Architecture: any
Multi-Arch: foreign
Depends: libdyssol1.0 (= ${binary:Version}),
         dyssol-data,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tool for dynamic flowsheet simulation. Command line tool
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour  of complex production
 processes in solids processing technology
 .
 This package contains dyssol`s command line tool.

Package: dyssol-gui
Architecture: any
Multi-Arch: foreign
Depends: libdyssol1.0 (= ${binary:Version}),
         dyssol-data,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tool for dynamic flowsheet simulation. GUI
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour  of complex production
 processes in solids processing technology
 .
 This package contains dyssol`s GUI.

Package: libdyssol-dev
Architecture: any
Section: libdevel
Depends: libdyssol1.0 (= ${binary:Version}),
         ${misc:Depends}
Description: Tool for dynamic flowsheet simulation. Development files nad headers
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour  of complex production
 processes in solids processing technology
 .
 This package contains dyssol`s development files nad headers

Package: libdyssol1.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tool for dynamic flowsheet simulation. Shared libraries
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour  of complex production
 processes in solids processing technology
 .
 This package contains dyssol`s shared libraries.

Package: dyssol-data
Architecture: all
Recommends: dyssol
Depends: ${misc:Depends}
Description: Tool for dynamic flowsheet simulation. Data files
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour  of complex production
 processes in solids processing technology
 .
 This package contains examples and data files.

Package: dyssol-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-mathjax
Recommends: dyssol
Description: Tool for dynamic flowsheet simulation. Documentation
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour  of complex production
 processes in solids processing technology
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --builddirectory=$(BUILDDIR)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-no-keep-memory

# Check, whether Build-Depends-Indep are installed
BUILD_DOC=$(shell dpkg -s python3-sphinx | grep -q "^Status:.* installed$$" && echo yes)

override_dh_installdocs-indep:
ifeq ($(BUILD_DOC), yes)
	cd $(BUILDDIR) && $(MAKE) doc
	dh_installdocs -i
	dh_sphinxdoc
	find $(CURDIR)/debian/dyssol-doc -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.jsdelivr\.net//g'
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

## dyssol 1.1.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.1.0)
 
-set (VERSION 1.0.0)
+set (VERSION 1.1.0)
 set (SOVERSION 1.0)
 
 set(CMAKE_CXX_STANDARD 17)
@@ -123,7 +123,9 @@
   "Unit_Crusher_Cone"
   "Unit_Crusher_Const"
   "Unit_Crusher_PBMTM"
+  "Unit_Cyclone_Muschelknautz"
   "Unit_Granulator"
+  "Unit_GranulatorSimpleBatch"
   "Unit_Mixer"
   "Unit_Screen_Molerus"
   "Unit_Screen_Multideck"
@@ -166,9 +168,8 @@
 ADD_CUSTOM_COMMAND(
                   TARGET doc PRE_BUILD
                   COMMAND rm -rf ${CMAKE_BINARY_DIR}/doc/sphinx/_build
+                  COMMAND sphinx-build -b linkcheck ${CMAKE_SOURCE_DIR}/DocumentationSphinx/ ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html
                   COMMAND sphinx-build -b html ${CMAKE_SOURCE_DIR}/DocumentationSphinx/ ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html
-                  COMMAND sphinx-build -b latex ${CMAKE_SOURCE_DIR}/DocumentationSphinx/ ${CMAKE_BINARY_DIR}/doc/sphinx/_build/latex
-                  COMMAND cd ${CMAKE_BINARY_DIR}/doc/sphinx/_build/latex && xelatex DyssolHelpDoc.tex && cd ${CMAKE_BINARY_DIR}
                   COMMAND mkdir -p ${INSTALL_DOCS_PATH}/sphinx/
                   COMMAND cp -r ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html ${INSTALL_DOCS_PATH}/sphinx/
                   )

=== debian/changelog ===
dyssol (1.1.0+ds1-3) unstable; urgency=medium

  * [1db41e8] Disable linkcheck. (Closes: #1027467)

 -- Anton Gladky <gladk@debian.org>  Sun, 29 Jan 2023 22:34:21 +0100

dyssol (1.1.0+ds1-2) unstable; urgency=medium

  * [10a4f97] Set upstream metadata fields: Bug-Database, Bug-Submit.
  * [2055f30] Update standards version to 4.6.2, no changes needed.
  * [b391564] Replace libhdf5-serial-dev by libhdf5-dev in BD
  * [03ea384] Do not check external links. (Closes: #1027467)

 -- Anton Gladky <gladk@debian.org>  Fri, 13 Jan 2023 07:23:03 +0100

dyssol (1.1.0+ds1-1) unstable; urgency=medium

  * [875d227] New upstream version 1.1.0+ds1. (Closes: #1025757)
  * [74703be] Refresh/remove patches.
  * [4a6fc55] Fix doc install.
  * [b477226] Update standards version to 4.6.1, no changes needed.
  * [334b805] Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Anton Gladky <gladk@debian.org>  Wed, 28 Dec 2022 23:23:51 +0100

## dyssol 1.1.1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: dyssol
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
 Priority: optional
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
                debhelper-compat (= 13),
                libgraphviz-dev,
-               libhdf5-serial-dev,
+               libhdf5-dev,
                libsundials-dev,
                libqt5opengl5-dev,
                zlib1g-dev
 Build-Depends-Indep: python3-sphinx,
+                     python3-sphinx-rtd-theme,
                      texlive-xetex,
                      tex-gyre,
                      texlive-fonts-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/dyssol
 Vcs-Git: https://salsa.debian.org/science-team/dyssol.git
 Homepage: https://github.com/FlowsheetSimulation/Dyssol-open
@@ -22,7 +24,7 @@
 Package: dyssol
 Architecture: any
 Multi-Arch: foreign
-Depends: libdyssol1.0 (= ${binary:Version}),
+Depends: libdyssol1.0t64 (= ${binary:Version}),
          dyssol-data,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -37,7 +39,7 @@
 Package: dyssol-gui
 Architecture: any
 Multi-Arch: foreign
-Depends: libdyssol1.0 (= ${binary:Version}),
+Depends: libdyssol1.0t64 (= ${binary:Version}),
          dyssol-data,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -52,7 +54,7 @@
 Package: libdyssol-dev
 Architecture: any
 Section: libdevel
-Depends: libdyssol1.0 (= ${binary:Version}),
+Depends: libdyssol1.0t64 (= ${binary:Version}),
          ${misc:Depends}
 Description: Tool for dynamic flowsheet simulation. Development files nad headers
  Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
@@ -61,7 +63,10 @@
  .
  This package contains dyssol`s development files nad headers
 
-Package: libdyssol1.0
+Package: libdyssol1.0t64
+Provides: ${t64:Provides}
+Replaces: libdyssol1.0
+Breaks: libdyssol1.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -76,8 +81,8 @@
 
 Package: dyssol-data
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: dyssol
-Depends: ${misc:Depends}
 Description: Tool for dynamic flowsheet simulation. Data files
  Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
  designed to simulate the time-dependent behaviour  of complex production

## dyssol 1.1.1+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.1.0)
 
-set (VERSION 1.1.0)
+set (VERSION 1.1.1)
 set (SOVERSION 1.0)
 
 set(CMAKE_CXX_STANDARD 17)

=== Units/CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,9 @@
     "Bunker"
     "Crusher"
     "CrusherPBMTM"
-    "Cyclone2"
+    "CycloneMuschelknautz"
     "Granulator"
+    "GranulatorSimpleBatch"
     "HeatExchanger"
     "Inlet"
     "Mixer"

=== debian/changelog ===
dyssol (1.1.1+ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062513

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 02:34:31 +0000

dyssol (1.1.1+ds1-2) unstable; urgency=medium

  * [82746dc] Add missing headers. (Closes: #1037636)

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Sep 2023 06:01:04 +0200

dyssol (1.1.1+ds1-1) unstable; urgency=medium

  * [d57b7e7] New upstream version 1.1.1+ds1
  * [8e83aca] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Sun, 09 Apr 2023 22:20:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dyssol
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
 Priority: optional

## dyssol 1.4.0

=== CMakeLists.txt ===
# Copyright (c) 2020, Dyssol Development Team. 
# Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg
# Copyright (c) 2024, DyssolTEC GmbH. 
# All rights reserved. This file is part of Dyssol. See LICENSE file for license information.

# TODO: option to disable shared libs

cmake_minimum_required(VERSION 3.1.0)

set (VERSION 1.4.0)
set (SOVERSION 1.4)

OPTION(BUILD_BINARIES "Whether to build binary files" ON)
OPTION(BUILD_DOCS "Whether to build documentation" ON)
OPTION(BUILD_TESTS "Whether to build tests" ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

project(Dyssol VERSION ${VERSION} LANGUAGES CXX)

INCLUDE(GNUInstallDirs)

SET(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

SET(INSTALL_UNITS_LIB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/Dyssol/Units)
SET(INSTALL_MATERIALDB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/MaterialsDB)
SET(INSTALL_DOCS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/docs)
SET(INSTALL_CONFIG_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/)
SET(INSTALL_HEADERS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/)

SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

##################################################
### Binaries
IF(BUILD_BINARIES)

  add_executable(DyssolC
      ${CMAKE_SOURCE_DIR}/DyssolCLI/main.cpp
  )

  set(libdyssolnames
    "BaseSolvers"
    "CacheHandler"
    "EquationSolvers"
    "HDF5Handler"
    "MaterialsDatabase"
    "ModelsAPI"
    "Modules"
    "ScriptInterface"
    "SimulatorCore"
    "Utilities"
    "Modules/DustFormationTester"
  )

  foreach(foldername ${libdyssolnames})
      file(GLOB_RECURSE src   ${CMAKE_SOURCE_DIR}/${foldername}/*.cpp)
      file(GLOB_RECURSE hdr   ${CMAKE_SOURCE_DIR}/${foldername}/*.h)
      set(libdyssolsrc ${libdyssolsrc} ${src})
      INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/${foldername}/")
      INSTALL(FILES ${hdr} DESTINATION ${INSTALL_HEADERS_PATH}/Dyssol/${foldername}/)
  endforeach(foldername ${libdyssolnames})

  FIND_PACKAGE(HDF5 REQUIRED COMPONENTS "CXX" "HL")
  INCLUDE_DIRECTORIES(${HDF5_INCLUDE_DIRS})

  FIND_PACKAGE(SUNDIALS REQUIRED COMPONENTS sundials_ida sundials_kinsol sundials_nvecserial)
  INCLUDE_DIRECTORIES(${SUNDIALS_INCLUDE_DIRS})

  ADD_LIBRARY(libdyssol_shared SHARED ${libdyssolsrc})
  SET_TARGET_PROPERTIES(libdyssol_shared PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${SOVERSION}
    PREFIX ""
    OUTPUT_NAME "libdyssol"
  )

  ADD_LIBRARY(libdyssol_static STATIC ${libdyssolsrc})
  SET_TARGET_PROPERTIES(libdyssol_static PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${SOVERSION}
    PREFIX ""
    OUTPUT_NAME "libdyssol"
  )

  target_compile_definitions(libdyssol_shared PRIVATE INSTALL_DOCS_PATH="${INSTALL_DOCS_PATH}")
  target_compile_definitions(libdyssol_static PRIVATE INSTALL_DOCS_PATH="${INSTALL_DOCS_PATH}")

  TARGET_LINK_LIBRARIES(libdyssol_shared ${HDF5_LIBRARIES} ${HDF5_HL_LIBRARIES} ${SUNDIALS_LIBRARIES})
  TARGET_LINK_LIBRARIES(libdyssol_static ${HDF5_LIBRARIES} ${HDF5_HL_LIBRARIES} ${SUNDIALS_LIBRARIES})
  TARGET_LINK_LIBRARIES(DyssolC libdyssol_shared)

  # link filesystem or experimental/filesystem for gcc
  IF("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    IF (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 8.0)
  	TARGET_LINK_LIBRARIES(DyssolC -lstdc++fs)
    ENDIF()
  ENDIF()

  FIND_PACKAGE(Graphviz)
  IF(Graphviz_FOUND)
    MESSAGE(STATUS "Graphviz is found")
    MESSAGE(STATUS ${Graphviz_INCLUDE_DIR})
    ADD_DEFINITIONS("-DGRAPHVIZ")

    TARGET_LINK_LIBRARIES(libdyssol_shared ${Graphviz_LIBRARIES})
    TARGET_LINK_LIBRARIES(libdyssol_static ${Graphviz_LIBRARIES})

    INCLUDE_DIRECTORIES(${Graphviz_INCLUDE_DIR})
  ENDIF(Graphviz_FOUND)

  CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/DyssolGUI/config.ini.in" "${CMAKE_BINARY_DIR}/config.ini")
  INSTALL(FILES "${CMAKE_BINARY_DIR}/config.ini" DESTINATION ${INSTALL_CONFIG_PATH})
  INSTALL(FILES "${CMAKE_SOURCE_DIR}/Materials.dmdb" DESTINATION ${INSTALL_MATERIALDB_PATH})

  INSTALL(TARGETS DyssolC DESTINATION ${CMAKE_INSTALL_BINDIR})
  INSTALL(TARGETS libdyssol_shared DESTINATION ${CMAKE_INSTALL_LIBDIR})
  INSTALL(TARGETS libdyssol_static DESTINATION ${CMAKE_INSTALL_LIBDIR})

  ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Units")
  ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Solvers")
  ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/DyssolGUI")

  SET(INSTALL_DOCS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/docs)

ENDIF(BUILD_BINARIES)

##################################################
### Testing
IF(BUILD_TESTS)

  ENABLE_TESTING()

  SET(TESTS
    "Unit_Agglomerator_CellAverage"
    "Unit_Agglomerator_FFT"
    "Unit_Agglomerator_FixedPivot"
    "Unit_Bunker_Adaptive"
    "Unit_Bunker_Constant"
    "Unit_Crusher_BondBimodal"
    "Unit_Crusher_BondNormal"
    "Unit_Crusher_Cone"
    "Unit_Crusher_Const"
    "Unit_Crusher_PBMTM"
    "Unit_Cyclone_Muschelknautz"
    "Unit_Granulator"
    "Unit_GranulatorSimpleBatch"
    "Unit_Mixer"
    "Unit_Screen_Molerus"
    "Unit_Screen_Multideck"
    "Unit_Screen_Plitt"
    "Unit_Screen_Probability"
    "Unit_Screen_Teipel"
    "Unit_Splitter"
    "Unit_TimeDelay_NormBased"
    "Unit_TimeDelay_SimpleShift"
    "Process_Agglomeration"
    "Process_Comminution"
    "Process_Granulation"
    "Process_SieveMill"
  )

  FOREACH(test ${TESTS})
    SET(CURRENT_TEST ${test})
    CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/tests/${CURRENT_TEST}/script.txt" "${CMAKE_BINARY_DIR}/tests/${CURRENT_TEST}/script.txt")

    IF(WIN32)
      ADD_TEST(NAME ${CURRENT_TEST}_run
              WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
              COMMAND ${CMAKE_SOURCE_DIR}/${CMAKE_GENERATOR_PLATFORM}/${CMAKE_BUILD_TYPE}/DyssolC --script=${CMAKE_BINARY_DIR}/tests/${CURRENT_TEST}/script.txt
      )
    ELSE()
      ADD_TEST(NAME ${CURRENT_TEST}_run
              WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
              COMMAND ${CMAKE_BINDIR}/DyssolC --script=${CMAKE_BINARY_DIR}/tests/${CURRENT_TEST}/script.txt
      )
    ENDIF(WIN32)

    IF(NOT CMAKE_BUILD_TYPE MATCHES Debug)
      FILE(READ ${CMAKE_SOURCE_DIR}/tests/${CURRENT_TEST}/tolerance TOLERANCE)

      IF(WIN32)
        ADD_TEST(NAME ${CURRENT_TEST}_diff
                COMMAND python  ${CMAKE_SOURCE_DIR}/tests/compare.py "${CMAKE_SOURCE_DIR}/tests/${CURRENT_TEST}/ideal.res" "${CMAKE_BINARY_DIR}/tests/${CURRENT_TEST}/real.res" -t ${TOLERANCE}
        )
      ELSE()
        ADD_TEST(NAME ${CURRENT_TEST}_diff
                COMMAND python3 ${CMAKE_SOURCE_DIR}/tests/compare.py "${CMAKE_SOURCE_DIR}/tests/${CURRENT_TEST}/ideal.res" "${CMAKE_BINARY_DIR}/tests/${CURRENT_TEST}/real.res" -t ${TOLERANCE}
        )
      ENDIF(WIN32)

      # _diff tests can only be run when the _run test is done
      SET_TESTS_PROPERTIES(${CURRENT_TEST}_diff PROPERTIES DEPENDS ${CURRENT_TEST}_run)
    ENDIF(NOT CMAKE_BUILD_TYPE MATCHES Debug)

  ENDFOREACH(test ${TESTS})

ENDIF(BUILD_TESTS)

##################################################
### Documentation
IF(BUILD_DOCS)

  #=================================================
  #== Doxygen

  FIND_PACKAGE(Doxygen)

  # List of all API headers
  SET(API_FILE_NAMES
    "MaterialsDatabase/DefinesMDB"
    "ModelsAPI/BaseStream"
    "ModelsAPI/BaseUnit"
    "ModelsAPI/ChemicalReaction"
    "ModelsAPI/DenseMDMatrix"
    "ModelsAPI/DistributionsFunctions"
    "ModelsAPI/Holdup"
    "ModelsAPI/Matrix2D"
    "ModelsAPI/MixtureEnthalpyLookup"
    "ModelsAPI/PlotManager"
    "ModelsAPI/StateVariable"
    "ModelsAPI/Stream"
    "ModelsAPI/TransformMatrix"
    "ModelsAPI/UnitParameters"
    "ModelsAPI/UnitParametersEnum"
    "ModelsAPI/UnitParametersManager"
    "ModelsAPI/UnitPorts"
    "BaseSolvers/AgglomerationSolver"
    "BaseSolvers/BaseSolver"
    "Utilities/DyssolDefines"
    "Utilities/DyssolTypes"
  )

  # Gather all API headers
  FOREACH(FILENAME ${API_FILE_NAMES})
    FILE(GLOB_RECURSE HEADER ${CMAKE_SOURCE_DIR}/${FILENAME}.h)
    LIST(APPEND API_HEADERS ${HEADER})
  ENDFOREACH(FILENAME ${API_FILE_NAMES})
  # Format the list for Doxygen file
  STRING(REPLACE ";" "\" \"" API_HEADERS_LIST "${API_HEADERS}")

  # Setup Doxygen variables
  SET(DOXYGEN_INPUT_LIST ${API_HEADERS_LIST})
  SET(DOXYGEN_OUTPUT_DIR ${CMAKE_BINARY_DIR}/doc/doxygen)
  SET(DOXYGEN_OUTPUT_XML_DIR ${DOXYGEN_OUTPUT_DIR}/xml)
  SET(DOXYGEN_INDEX_FILE ${DOXYGEN_OUTPUT_XML_DIR}/index.xml)
  SET(DOXYFILE_IN ${CMAKE_SOURCE_DIR}/Documentation/Doxyfile.in)
  SET(DOXYFILE_OUT ${CMAKE_BINARY_DIR}/Doxyfile)

  # Replace variables inside @@ with the current values
  CONFIGURE_FILE(${DOXYFILE_IN} ${DOXYFILE_OUT} @ONLY)

  # Create Doxygen output directory
  FILE(MAKE_DIRECTORY ${DOXYGEN_OUTPUT_DIR})

  # Build with Doxygen
  ADD_CUSTOM_COMMAND(OUTPUT ${DOXYGEN_INDEX_FILE}
                    DEPENDS ${API_HEADERS}
                    COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYFILE_OUT}
                    MAIN_DEPENDENCY ${DOXYFILE_OUT} ${DOXYFILE_IN}
                    COMMENT "Generating Doxygen files"
                    VERBATIM
  )
  ADD_CUSTOM_TARGET(doxygen DEPENDS ${DOXYGEN_INDEX_FILE})

  #=================================================
  #== Sphinx

  FIND_PACKAGE(Sphinx)

  SET(SPHINX_SOURCE_DIR ${CMAKE_SOURCE_DIR}/Documentation/)
  SET(SPHINX_BUILD ${CMAKE_BINARY_DIR}/doc/sphinx/_build/html)
  SET(SPHINX_INDEX_FILE ${SPHINX_BUILD}/index.html)
  SET(SPHINX_CONFIG_IN ${SPHINX_SOURCE_DIR}/conf.py.in)
  SET(SPHINX_CONFIG_OUT ${SPHINX_SOURCE_DIR}/conf.py)

  # Replace variables inside @@ with the current values
  CONFIGURE_FILE(${SPHINX_CONFIG_IN} ${SPHINX_CONFIG_OUT} @ONLY)

  ADD_CUSTOM_COMMAND(OUTPUT ${SPHINX_INDEX_FILE}
                    # COMMAND ${SPHINX_EXECUTABLE} -b linkcheck  ${SPHINX_SOURCE_DIR} ${SPHINX_BUILD} # Check links
                    COMMAND ${SPHINX_EXECUTABLE} -b html -Dbreathe_projects.Dyssol=${DOXYGEN_OUTPUT_XML_DIR} ${SPHINX_SOURCE_DIR} ${SPHINX_BUILD}
                    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
                    DEPENDS ${SPHINX_SOURCE_DIR}/index.rst ${DOXYGEN_INDEX_FILE}
                    MAIN_DEPENDENCY ${SPHINX_SOURCE_DIR}/conf.py
                    COMMENT "Generating documentation with Sphinx"
  )
  ADD_CUSTOM_TARGET(sphinx DEPENDS ${SPHINX_INDEX_FILE})

  ADD_CUSTOM_TARGET(doc DEPENDS sphinx)

  # Add an install target to install the docs
  INSTALL(DIRECTORY ${SPHINX_BUILD}
          DESTINATION ${INSTALL_DOCS_PATH}/sphinx/
  )

ENDIF(BUILD_DOCS)

=== Solvers/CMakeLists.txt ===
# Copyright (c) 2021, Dyssol Development Team. All rights reserved. This file is part of Dyssol. See LICENSE file for license information.

set(SolversNames
    "AgglomerationCellAverage"
    "AgglomerationFFT"
    "AgglomerationFixedPivot"
)

foreach(foldername ${SolversNames})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/Solvers/${foldername}/*.cpp)
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/Solvers/${foldername}/)
    add_library(${foldername} SHARED ${src})
    INSTALL(TARGETS ${foldername} DESTINATION ${INSTALL_UNITS_LIB_PATH})
endforeach(foldername ${SolversNames})

=== Units/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
-# Copyright (c) 2020, Dyssol Development Team. All rights reserved. This file is part of Dyssol. See LICENSE file for license information.
-# Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg
+# Copyright (c) 2020, Dyssol Development Team. 
+# Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg.
+# Copyright (c) 2024, DyssolTEC GmbH. 
+# All rights reserved. This file is part of Dyssol. See LICENSE file for license information.
 
 set(UnitsNames
     "Agglomerator"

=== debian/changelog ===
dyssol (1.4.0-2) unstable; urgency=medium

  * [48a73fe] Do not set MPI definition.
  * [58dd866] Enable i386 build in CI.
  * [8bbbeba] Fix compilation on 32-bit platform.
  * [77386ac] Do not fail if the difference is zero.
  * [ced3553] Disable one unreliable unit granulator test.
  * [1cda524] Rename patches.

 -- Anton Gladky <gladk@debian.org>  Wed, 07 May 2025 07:10:27 +0200

dyssol (1.4.0-1) unstable; urgency=medium

  * [ed4041c] Update d/copyright
  * [8c60b2e] New upstream version 1.4.0. (Closes: #1082562)
  * [f197dcf] Update patches
  * [c590856] Update d/control and d/rules
  * [713c8f7] Update docs-file
  * [d35c929] Do not use rpath
  * [dac10e5] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sun, 04 May 2025 17:22:21 +0200

dyssol (1.1.1+ds1-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 17:57:56 +0000

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                libgraphviz-dev,
                libhdf5-dev,
                libsundials-dev,
                libqt5opengl5-dev,
-               zlib1g-dev
-Build-Depends-Indep: python3-sphinx,
-                     python3-sphinx-rtd-theme,
-                     texlive-xetex,
-                     tex-gyre,
-                     texlive-fonts-recommended
-Standards-Version: 4.6.2
+               zlib1g-dev,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+               python3-breathe,
+               doxygen,
+               texlive-xetex,
+               tex-gyre,
+               texlive-fonts-recommended
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/dyssol
 Vcs-Git: https://salsa.debian.org/science-team/dyssol.git
 Homepage: https://github.com/FlowsheetSimulation/Dyssol-open
@@ -63,14 +65,14 @@
  This package contains dyssol`s development files nad headers
 
 Package: libdyssol1.0t64
-Provides: ${t64:Provides}
-Replaces: libdyssol1.0
-Breaks: libdyssol1.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libdyssol1.0 (<< ${source:Version})
+Provides: ${t64:Provides}
+Replaces: libdyssol1.0
 Description: Tool for dynamic flowsheet simulation. Shared libraries
  Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
  designed to simulate the time-dependent behaviour  of complex production

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --builddirectory=$(BUILDDIR)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-keep-memory

execute_after_dh_auto_configure:
	cd $(BUILDDIR) && $(MAKE) doc

execute_after_dh_installdocs-indep:
	dh_sphinxdoc
	find $(CURDIR)/debian/dyssol-doc -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.jsdelivr\.net//g'

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

=== debian/tests/control ===
Tests: test1
Depends: dyssol

## dyssol 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
-# Copyright (c) 2020, Dyssol Development Team. 
+# Copyright (c) 2020, Dyssol Development Team.
 # Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg
-# Copyright (c) 2024, DyssolTEC GmbH. 
+# Copyright (c) 2024, DyssolTEC GmbH.
 # All rights reserved. This file is part of Dyssol. See LICENSE file for license information.
 
 # TODO: option to disable shared libs
 
-cmake_minimum_required(VERSION 3.1.0)
-
-set (VERSION 1.4.0)
-set (SOVERSION 1.4)
+cmake_minimum_required(VERSION 3.5.0)
+
+set (VERSION 1.5.0)
+set (SOVERSION 1.5)
 
 OPTION(BUILD_BINARIES "Whether to build binary files" ON)
 OPTION(BUILD_DOCS "Whether to build documentation" ON)
@@ -25,9 +25,10 @@
 SET(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
 SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-SET(INSTALL_UNITS_LIB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/Dyssol/Units)
-SET(INSTALL_MATERIALDB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/MaterialsDB)
+SET(INSTALL_UNITS_LIB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/Dyssol/Units/)
+SET(INSTALL_MATERIALDB_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/MaterialsDB/)
 SET(INSTALL_DOCS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/docs)
+SET(INSTALL_EXAMPLES_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/Examples/)
 SET(INSTALL_CONFIG_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/Dyssol/)
 SET(INSTALL_HEADERS_PATH  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/)
 
@@ -114,7 +115,22 @@
   CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/DyssolGUI/config.ini.in" "${CMAKE_BINARY_DIR}/config.ini")
   INSTALL(FILES "${CMAKE_BINARY_DIR}/config.ini" DESTINATION ${INSTALL_CONFIG_PATH})
   INSTALL(FILES "${CMAKE_SOURCE_DIR}/Materials.dmdb" DESTINATION ${INSTALL_MATERIALDB_PATH})
-
+  INSTALL(DIRECTORY "${CMAKE_SOURCE_DIR}/DyssolInstallers/Data/Example Flowsheets/Units/" DESTINATION ${INSTALL_EXAMPLES_PATH} FILES_MATCHING PATTERN "*.dflw")
+  INSTALL(DIRECTORY "${CMAKE_SOURCE_DIR}/DyssolInstallers/Data/Example Flowsheets/Processes/" DESTINATION ${INSTALL_EXAMPLES_PATH} FILES_MATCHING PATTERN "*.dflw")
+  IF(NOT WIN32)
+    FILE(GLOB files "${CMAKE_SOURCE_DIR}/DyssolInstallers/Data/Example Flowsheets/Units/*.txt" "${CMAKE_SOURCE_DIR}/DyssolInstallers/Data/Example Flowsheets/Processes/*.txt")
+    foreach(script ${files})
+	  GET_FILENAME_COMPONENT(file_name ${script} NAME)
+      FILE(READ ${script} FILE_CONTENT)
+      STRING(REPLACE "C:\\Program Files\\Dyssol\\Units" "${INSTALL_UNITS_LIB_PATH}" FILE_CONTENT "${FILE_CONTENT}" )
+      STRING(REPLACE "C:\\Program Files\\Dyssol\\Solvers" "${INSTALL_UNITS_LIB_PATH}" FILE_CONTENT "${FILE_CONTENT}" )
+      STRING(REPLACE "C:\\Program Files\\Dyssol\\" "${INSTALL_MATERIALDB_PATH}" FILE_CONTENT "${FILE_CONTENT}" )
+      STRING(REPLACE ".\\" "./" FILE_CONTENT "${FILE_CONTENT}" )
+      FILE(WRITE "${CMAKE_BINARY_DIR}/Examples/${file_name}" "${FILE_CONTENT}")
+      INSTALL(FILES "${CMAKE_BINARY_DIR}/Examples/${file_name}" DESTINATION ${INSTALL_EXAMPLES_PATH})
+    endforeach()
+  ENDIF(NOT WIN32)
+  
   INSTALL(TARGETS DyssolC DESTINATION ${CMAKE_INSTALL_BINDIR})
   INSTALL(TARGETS libdyssol_shared DESTINATION ${CMAKE_INSTALL_LIBDIR})
   INSTALL(TARGETS libdyssol_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
@@ -149,7 +165,6 @@
     "Unit_GranulatorSimpleBatch"
     "Unit_Mixer"
     "Unit_Screen_Molerus"
-    "Unit_Screen_Multideck"
     "Unit_Screen_Plitt"
     "Unit_Screen_Probability"
     "Unit_Screen_Teipel"
@@ -215,11 +230,12 @@
     "ModelsAPI/BaseUnit"
     "ModelsAPI/ChemicalReaction"
     "ModelsAPI/DenseMDMatrix"
-    "ModelsAPI/DistributionsFunctions"
+    "ModelsAPI/DistributionFunctions"
     "ModelsAPI/Holdup"
     "ModelsAPI/Matrix2D"
     "ModelsAPI/MixtureEnthalpyLookup"
     "ModelsAPI/PlotManager"
+    "ModelsAPI/PSDFunctions"
     "ModelsAPI/StateVariable"
     "ModelsAPI/Stream"
     "ModelsAPI/TransformMatrix"

=== DyssolGUI/CMakeLists.txt ===
# Copyright (c) 2020, Dyssol Development Team. 
# Copyright (c) 2021, Anton Gladky <Anton.Gladky@iart.tu-freiberg.de>, IART, Technical University Bergakademie Freiberg
# Copyright (c) 2024, DyssolTEC GmbH. 
# All rights reserved. This file is part of Dyssol. See LICENSE file for license information.

find_package(Qt5 COMPONENTS Widgets REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt5 COMPONENTS Widgets REQUIRED)

MACRO(SUBDIRLIST result curdir)
  FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
  SET(dirlist "")
  FOREACH(child ${children})
    IF(IS_DIRECTORY ${curdir}/${child})
      LIST(APPEND dirlist ${child})
    ENDIF()
  ENDFOREACH()
  SET(${result} ${dirlist})
ENDMACRO()

set(DyssolGUInames
	"DyssolGUI"
	"GUIDialogs"
	"GUIWidgets"
)

foreach(foldername ${DyssolGUInames})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/${foldername}/*.cpp)
    set(DyssolGUIsrc ${DyssolGUIsrc} ${src})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/${foldername}/*.rc)
    set(DyssolGUIsrc ${DyssolGUIsrc} ${src})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/${foldername}/*.ui)
    set(DyssolGUIsrc ${DyssolGUIsrc} ${src})
    file(GLOB_RECURSE src ${CMAKE_SOURCE_DIR}/${foldername}/*.qrc)
    set(DyssolGUIsrc ${DyssolGUIsrc} ${src})
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/${foldername}/)
    SUBDIRLIST(DyssolGUI_folders ${CMAKE_SOURCE_DIR}/${foldername}/)
    FOREACH(subdir ${DyssolGUI_folders})
        INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/${foldername}/${subdir}/)
    ENDFOREACH()
endforeach(foldername ${DyssolGUInames})

add_executable(DyssolGUI ${DyssolGUIsrc})

target_compile_definitions(DyssolGUI PRIVATE INSTALL_DOCS_PATH="${INSTALL_DOCS_PATH}")
target_compile_definitions(DyssolGUI PRIVATE INSTALL_CONFIG_PATH="${INSTALL_CONFIG_PATH}")

TARGET_LINK_LIBRARIES(DyssolGUI Qt5::Widgets libdyssol_shared)
# link filesystem or experimental/filesystem for gcc
IF("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  IF (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 8.0)
    TARGET_LINK_LIBRARIES(DyssolGUI -lstdc++fs)
  ENDIF()
ENDIF()

INSTALL(TARGETS DyssolGUI DESTINATION ${CMAKE_INSTALL_BINDIR})

=== Units/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
     "Mixer3"
     "Outlet"
     "Screen"
-    "ScreenMultideck"
     "Splitter"
     "Splitter3"
     "TimeDelay"

=== debian/changelog ===
dyssol (1.5.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Aug 2025 21:54:05 +0200

dyssol (1.5.0-1~exp4) experimental; urgency=medium

  * [faab054] Cleanup in d/control and d/rules

 -- Anton Gladky <gladk@debian.org>  Sun, 08 Jun 2025 12:06:47 +0200

dyssol (1.5.0-1~exp3) experimental; urgency=medium

  * [04a18b5] Revert "Add mpi-default-dev into BD"

 -- Anton Gladky <gladk@debian.org>  Sat, 07 Jun 2025 20:23:37 +0200

dyssol (1.5.0-1~exp2) experimental; urgency=medium

  * [484d377] Add mpi-default-dev into BD

 -- Anton Gladky <gladk@debian.org>  Sat, 07 Jun 2025 19:23:48 +0200

dyssol (1.5.0-1~exp1) experimental; urgency=medium

  * [e2ebd14] New upstream version 1.5.0
  * [9ff99eb] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Fri, 06 Jun 2025 21:07:01 +0200

=== debian/control ===
Source: dyssol
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgraphviz-dev,
               libhdf5-dev,
               libsundials-dev,
               qtbase5-dev,
               libqt5opengl5-dev,
               zlib1g-dev,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-breathe,
               doxygen,
               texlive-xetex,
               tex-gyre,
               texlive-fonts-recommended
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/dyssol
Vcs-Git: https://salsa.debian.org/science-team/dyssol.git
Homepage: https://github.com/FlowsheetSimulation/Dyssol-open

Package: dyssol
Architecture: any
Multi-Arch: foreign
Depends: libdyssol1.0t64 (= ${binary:Version}),
         dyssol-data,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tool for dynamic flowsheet simulation - command line tool
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains the command line tool.

Package: dyssol-gui
Architecture: any
Multi-Arch: foreign
Depends: libdyssol1.0t64 (= ${binary:Version}),
         dyssol-data,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tool for dynamic flowsheet simulation - GUI
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains the GUI.

Package: libdyssol-dev
Architecture: any
Section: libdevel
Depends: libdyssol1.0t64 (= ${binary:Version}),
         ${misc:Depends}
Description: Tool for dynamic flowsheet simulation - development files and headers
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains development files and headers.

Package: libdyssol1.0t64
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libdyssol1.0 (<< ${source:Version})
Provides: ${t64:Provides}
Replaces: libdyssol1.0
Description: Tool for dynamic flowsheet simulation - shared libraries
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains the shared libraries.

Package: dyssol-data
Architecture: all
Depends: ${misc:Depends}
Recommends: dyssol
Description: Tool for dynamic flowsheet simulation - data files
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains examples and data files.

Package: dyssol-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-mathjax
Recommends: dyssol
Description: Tool for dynamic flowsheet simulation - documentation
 Dynamic simulation of solids processes, is a dynamic flowsheet modelling system
 designed to simulate the time-dependent behaviour of complex production
 processes in solids processing technology.
 .
 This package contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,6 @@
 	dh_sphinxdoc
 	find $(CURDIR)/debian/dyssol-doc -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.jsdelivr\.net//g'
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf $(BUILDDIR)
+

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/Dyssol-open-$1\.tar\.gz/ \
  https://github.com/FlowsheetSimulation/Dyssol-open/tags .*/v?(\d\S+)\.tar\.gz
